<?

//-------------------------------fim da autenticação---------------------//

	include("../adm/conexao_e_agenda.php");

	include("../adm/funcoes.php");



//-------------------------------fim da autenticação---------------------//

if (isset($_POST["chave"])) {

$chave=$_POST["chave"];

} else {

$chave="";

}

$quem = $_POST['quem'];

//----------------------

	$password = md5($chave);    

		 

	$sql="select * from credencial where chave='$password'";

	$result=mysqli_query($conexao,$sql);

	$linha_u=mysqli_fetch_array($result);



    $totalRegistros=mysqli_num_rows($result);

	if($totalRegistros == 0){

   $alerta1 = "ATENÇÃO! Favor preencher a Chave de Acesso corretamente.";

  ?>

  <html>

<!-- creation date: 07/08/2003 -->

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title><? echo $empresa; ?></title>

<meta name="Description" content="">

<meta name="Keywords" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">



<script language="JavaScript">

<!--

function Redireciona(){

  alert("<? echo $alerta1; ?>");

  open('imovel_seleciona_mobile.php?id=<? echo $_POST['id']; ?>', '_top');

}

-->

</script>





</head>



<body onLoad="JavaScript:Redireciona()">

  

	  



</body>

</html>

<?

exit(); 

} 





if($_POST["dt_imovel"]==""){

$data_imovel = date("d/m/Y");

} else {

$data_imovel = $_POST["dt_imovel"];

}

$data_agendamento = date("Y-m-d");

// -------------------- Inclusão/Alteração/exclusão ------------------------------

if ($_POST['campo_funcao'] == "inc"){

  $result = mysqli_query($conexao,"insert into imoveis SET 

  tipo='".valida_caracteres($_POST["tipo"])."',

  titulo='".valida_caracteres($_POST["titulo"])."',

  endereco='".valida_caracteres($_POST["endereco"])."',

  bairro='".valida_caracteres($_POST["bairro"])."',

  cidade='".valida_caracteres($_POST["cidade"])."',

  uf='".valida_caracteres($_POST["uf"])."',

  valor='".valida_caracteres($_POST["valor"])."',

  terreno='".valida_caracteres($_POST["terreno"])." m&#178"."',

  dimensao='".valida_caracteres($_POST["dimensao"])."',

  frente='".valida_caracteres($_POST["frente"])."',

  fundo='".valida_caracteres($_POST["fundo"])."',

  lateral_dir='".valida_caracteres($_POST["lateral_dir"])."',

  lateral_esq='".valida_caracteres($_POST["lateral_esq"])."',

  posicao_sol='".valida_caracteres($_POST["posicao_sol"])."',

  posicao_quadra='".valida_caracteres($_POST["posicao_quadra"])."',

  area='".valida_caracteres($_POST["area"])." m&#178"."',

  sala='".valida_caracteres($_POST["sala"])."',

  cozinha='".valida_caracteres($_POST["cozinha"])."',

  banheiro='".valida_caracteres($_POST["banheiro"])."',

  suite='".valida_caracteres($_POST["suite"])."',

  quarto='".valida_caracteres($_POST["quarto"])."',

  garagem_coberta='".valida_caracteres($_POST["garagem_coberta"])."',

  garagem_aberta='".valida_caracteres($_POST["garagem_aberta"])."',

  portao_eletronico='".valida_caracteres($_POST["porta_eletronico"])."',

  area_servico='".valida_caracteres($_POST["area_servico"])."',

  piscina='".valida_caracteres($_POST["piscina"])."',

  tipo_material='".valida_caracteres($_POST["tipo_material"])."',

  alarme='".valida_caracteres($_POST["alarme"])."',

  murado='".valida_caracteres($_POST["murado"])."',

  grade='".valida_caracteres($_POST["grade"])."',

  moveis='".valida_caracteres($_POST["moveis"])."',

  piso='".valida_caracteres($_POST["piso"])."',

  teto='".valida_caracteres($_POST["teto"])."',

  telhado='".valida_caracteres($_POST["telhado"])."',

  detalhes='".valida_caracteres($_POST["detalhes"])."',

  situacao='".valida_caracteres($_POST["situacao"])."', 

  sacada='".valida_caracteres($_POST["sacada"])."',

  despensa='".valida_caracteres($_POST["despensa"])."',

  caixadagua='".valida_caracteres($_POST["caixadagua"])."',

  churrasqueira='".valida_caracteres($_POST["churrasqueira"])."',

  playground='".valida_caracteres($_POST["playground"])."',

  academia='".valida_caracteres($_POST["academia"])."',

  porteiro24h='".valida_caracteres($_POST["porteiro24h"])."',

  elevador='".valida_caracteres($_POST["elevador"])."',

  aquecimento='".valida_caracteres($_POST["aquecimento"])."',

  closet='".valida_caracteres($_POST["closet"])."',

  cozinhaplanejada='".valida_caracteres($_POST["cozinhaplanejada"])."',

  interfone='".valida_caracteres($_POST["interfone"])."',

  cercaeletrica='".valida_caracteres($_POST["cercaeletrica"])."',

  sauna='".valida_caracteres($_POST["sauna"])."',

  filtro_valor='".valida_caracteres($_POST["filtro_valor"])."', 

  lancamento='".valida_caracteres($_POST["lancamento"])."',

  condominio='".valida_caracteres($_POST["condominio"])."',

  edicula='".valida_caracteres($_POST["edicula"])."',

  area_util='".valida_caracteres($_POST["area_util"])." m&#178"."',   

  postado='".valida_caracteres($login)."',

  dt_imovel='".datapadrao_date($data_imovel)."',

  objetivo='".valida_caracteres($_POST["objetivo"])."'

  ") or die (mysqli_error($conexao));

  $registro= mysqli_insert_id();

              savelog($password, "Inseriu novo imovel: $registro - $_POST[titulo].");  

			  

}

else if (($_POST['campo_funcao'] == "alt")and($_POST['funcao_exc'] == "")){

  $result = mysqli_query($conexao,"UPDATE imoveis SET 

  tipo='".valida_caracteres($_POST["tipo"])."',

  titulo='".valida_caracteres($_POST["titulo"])."',

  endereco='".valida_caracteres($_POST["endereco"])."',

  bairro='".valida_caracteres($_POST["bairro"])."',

  cidade='".valida_caracteres($_POST["cidade"])."',

  uf='".valida_caracteres($_POST["uf"])."',

  valor='".valida_caracteres($_POST["valor"])."',

  terreno='".valida_caracteres($_POST["terreno"])."',

  dimensao='".valida_caracteres($_POST["dimensao"])."',

  frente='".valida_caracteres($_POST["frente"])."',

  fundo='".valida_caracteres($_POST["fundo"])."',

  lateral_dir='".valida_caracteres($_POST["lateral_dir"])."',

  lateral_esq='".valida_caracteres($_POST["lateral_esq"])."',

  posicao_sol='".valida_caracteres($_POST["posicao_sol"])."',

  posicao_quadra='".valida_caracteres($_POST["posicao_quadra"])."',

  area='".valida_caracteres($_POST["area"])."',

  sala='".valida_caracteres($_POST["sala"])."',

  cozinha='".valida_caracteres($_POST["cozinha"])."',

  banheiro='".valida_caracteres($_POST["banheiro"])."',

  suite='".valida_caracteres($_POST["suite"])."',

  quarto='".valida_caracteres($_POST["quarto"])."',

  garagem_coberta='".valida_caracteres($_POST["garagem_coberta"])."',

  garagem_aberta='".valida_caracteres($_POST["garagem_aberta"])."',

  portao_eletronico='".valida_caracteres($_POST["porta_eletronico"])."',

  area_servico='".valida_caracteres($_POST["area_servico"])."',

  piscina='".valida_caracteres($_POST["piscina"])."',

  tipo_material='".valida_caracteres($_POST["tipo_material"])."',

  alarme='".valida_caracteres($_POST["alarme"])."',

  murado='".valida_caracteres($_POST["murado"])."',

  grade='".valida_caracteres($_POST["grade"])."',

  moveis='".valida_caracteres($_POST["moveis"])."',

  piso='".valida_caracteres($_POST["piso"])."',

  teto='".valida_caracteres($_POST["teto"])."',

  telhado='".valida_caracteres($_POST["telhado"])."',

  detalhes='".valida_caracteres($_POST["detalhes"])."',  

  situacao='".valida_caracteres($_POST["situacao"])."',

  sacada='".valida_caracteres($_POST["sacada"])."',

  despensa='".valida_caracteres($_POST["despensa"])."',

  caixadagua='".valida_caracteres($_POST["caixadagua"])."',

  churrasqueira='".valida_caracteres($_POST["churrasqueira"])."',

  playground='".valida_caracteres($_POST["playground"])."',

  academia='".valida_caracteres($_POST["academia"])."',

  porteiro24h='".valida_caracteres($_POST["porteiro24h"])."',

  elevador='".valida_caracteres($_POST["elevador"])."',

  aquecimento='".valida_caracteres($_POST["aquecimento"])."',

  closet='".valida_caracteres($_POST["closet"])."',

  cozinhaplanejada='".valida_caracteres($_POST["cozinhaplanejada"])."',

  interfone='".valida_caracteres($_POST["interfone"])."',

  cercaeletrica='".valida_caracteres($_POST["cercaeletrica"])."',

  sauna='".valida_caracteres($_POST["sauna"])."', 

  filtro_valor='".valida_caracteres($_POST["filtro_valor"])."',

  lancamento='".valida_caracteres($_POST["lancamento"])."',

  condominio='".valida_caracteres($_POST["condominio"])."',

  edicula='".valida_caracteres($_POST["edicula"])."', 

  area_util='".valida_caracteres($_POST["area_util"])."', 

  postado='".valida_caracteres($login)."',

  dt_imovel='".datapadrao_date($data_imovel)."',

  objetivo='".valida_caracteres($_POST["objetivo"])."'

  where id='".valida_caracteres($_POST["id"])."'") or die(mysqli_error($conexao));



              savelog($password, "Alterou dados do imovel com o código: $_POST[id] - $_POST[tipo].");

			  

/*  if ($_POST['evento_cria'] == "sim"){

  $result = mysqli_query($conexao,"insert into eventos SET 

  evento='".valida_caracteres($_POST["evento"])."',

  desc_evento='".valida_caracteres($_POST["desc_evento"])."',

  dt_evento='".$data_agendamento."',

  dt_inicio_evento='".datapadrao_date($_POST["dt_inicio_evento"])."',

  dt_final_evento='".datapadrao_date($_POST["dt_final_evento"])."'

  ") or die ("erro insert ".$result.mysqli_error($conexao));

  }	*/

  

}

else if (($_POST['campo_funcao'] == "alt")and($_POST['funcao_exc'] == "exc")){

  $result = mysqli_query($conexao,"DELETE FROM imoveis WHERE id = '$_POST[id]'") or die(mysqli_error($conexao));

  

              savelog($password, "Excluiu o imovel com o código: $_POST[id].");

}



$alerta = $_POST['campo_funcao']."alt".$_POST['funcao_exc'];

?>

<html>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title>cadastro de imóveis</title>

<meta name="Description" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">

<meta name="Keywords" content="">

<script language="JavaScript">

<!--

function Redireciona(){

  <? if (isset($_POST['campo_funcao'])){

 

       if ($_POST['campo_funcao'] == "inc"){

	     $time = time();   // P/ forçar a atualização da página... (não abrir do cache)

	     echo "open('imovel_seleciona_mobile.php?id=$registro', '_top');";

	   }else if ($_POST['campo_funcao'] == "alt")

	   	   if($_POST['funcao_exc'] == ""){

	       echo "open('imovel_seleciona_mobile.php?id=$_POST[id]', '_top');";  

           }else{

	       echo "open('lista_imoveis_mobile.php', '_top');";

           } 	   



      }

  ?>

 // alert("<? //echo $alerta ?>");

}

-->

</script>

</head>

<body onLoad="JavaScript:Redireciona()">  

	  



</body>

</html>